Name:		antimicro
Version:	2.5
Release:	2%{?dist}
Summary:	Graphical program used to map keyboard buttons and mouse controls to a gamepad

License:	GPLv3+
URL:		http://ryochan7.com/projects/antimicro/
Source0:	https://github.com/Ryochan7/antimicro/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	qt-devel
BuildRequires:	SDL2-devel
BuildRequires:	libX11-devel
BuildRequires:	libXtst-devel
BuildRequires:	desktop-file-utils

%description
AntiMicro is a graphical program used to map keyboard keys and mouse controls
to a gamepad. This program is useful for playing PC games using a gamepad that
do not have any form of built-in gamepad support. AntiMicro was inspired by
QJoyPad but has additional features.

%prep
%setup -q

%build
%cmake .
make %{?_smp_mflags}

%install
%make_install

# Install and verify desktop file
desktop-file-install other/%{name}.desktop

%find_lang %{name} --with-qt

%files -f %{name}.lang
%doc Changelog gpl.txt README.md
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Aug 09 2014 Jeff Backus <jeff.backus@gmail.com> - 2.5-1
- Updated version

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Jun 01 2014 Björn Esser <bjoern.esser@gmail.com> - 2.4-1
- new upstream release (#1103432)

* Sat May 24 2014 Jeff Backus <jeff.backus@gmail.com> - 2.3.3-1
- Initial package
- Fixed license issue found in review.
- Removed use of desktop-file-validate as it was redundant.
- Modified to use find_lang instead of lang macro.
- Made "man glob" less greedy.
- Removed icon scriplets as they aren't meant for pixbuf directory.
- Changed cmake to use . to better follow convention.
- Removed name info from setup macro as it was redundant.
